#!/usr/bin/env python3
import os
import sys
import shutil
import zipfile
from glob import glob

def setup(local_dir="stash" ):
    """
        Extract emod-malaria binary (and schema) files into a local directory.
    """
    if not os.path.exists( local_dir ):
        os.mkdir( local_dir )
    os.chdir( local_dir )
    pkgdir = sys.modules['emod_malaria'].__path__[0]

    for fullpath in glob( os.path.join( pkgdir, "*.zip" ) ):
        shutil.copy(fullpath, os.getcwd() )
        zip_file = os.path.basename(fullpath)
        file_to_extract = zip_file.replace( ".zip", "" )
        with zipfile.ZipFile(zip_file) as z:
            with open(file_to_extract, 'wb') as f:
                f.write(z.read(file_to_extract))
        os.unlink( os.path.join( os.getcwd(), zip_file ) )

    os.chdir( ".." )

if __name__ == "__main__":
    setup()
